Reopen a Deal
curl --request POST \
--url https://public-api.stora.co/2025-09/deals/{deal_id}/reopen \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stage": {
"id": "dstg_721b3057d5df338e"
},
"assignee": {
"id": "staff_947b3057d5df338e"
}
}
'import requests
url = "https://public-api.stora.co/2025-09/deals/{deal_id}/reopen"
payload = {
"stage": { "id": "dstg_721b3057d5df338e" },
"assignee": { "id": "staff_947b3057d5df338e" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({stage: {id: 'dstg_721b3057d5df338e'}, assignee: {id: 'staff_947b3057d5df338e'}})
};
fetch('https://public-api.stora.co/2025-09/deals/{deal_id}/reopen', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deal": {
"id": "deal_127b3057d5df338e",
"assignee": {
"id": "staff_947b3057d5df338e"
},
"contact": {
"id": "con_1234567890abcdef"
},
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "staff_947b3057d5df338e"
},
"line_items": [
{
"item": {
"id": "plvl_e8f3ad0a07e47566"
},
"quantity": 1,
"type": "protection"
},
{
"item": {
"id": "utype_f18fc91387cdf710"
},
"quantity": 1,
"type": "unit_type"
}
],
"lost_reason": null,
"metadata": {},
"name": "Won Deal",
"note": "£50 per month",
"site": null,
"stage": {
"id": "dstg_127b3057d5df338e"
},
"starts_at": null,
"status": "open",
"updated_at": "2025-02-22T14:41:00Z",
"value_estimate": "£50 per month"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}{
"error": {
"code": "resource_not_found",
"details": [],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The Deal was not found.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}{
"error": {
"code": "invalid_content",
"details": [
{
"message": "Deal is already open",
"pointer": "deal"
}
],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The request body content is not valid.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}Deals
Reopen a Deal
Reopen a closed deal (won or lost) and place it back on the deals board at the specified stage.
Required authorization scope: public.deal:write
POST
/
2025-09
/
deals
/
{deal_id}
/
reopen
Reopen a Deal
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the deal to reopen
Pattern:
^deal_Query Parameters
This endpoint supports expandable responses. For more, see the documentation page.
Body
application/json
Was this page helpful?
⌘I